package domain


type AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetRequest struct {
    /*
        渠道店ID     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        配送地址经纬度     */
    Geo  *string `json:"geo,omitempty" `

    /*
        购买商品列表     */
    SkuList  *[]AlibabaTclsAelophyMerchantChannelOrderSlicegetPromiseSkuInfo `json:"sku_list,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetRequest) SetShopId(v string) *AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetRequest {
    s.ShopId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetRequest) SetGeo(v string) *AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetRequest {
    s.Geo = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetRequest) SetSkuList(v []AlibabaTclsAelophyMerchantChannelOrderSlicegetPromiseSkuInfo) *AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetRequest {
    s.SkuList = &v
    return s
}
